Bug 536320 - (RHQ-683) Don't ask for package name when creating a new package-backed resource; use file name from file upload field
Don't ask for package name when creating a new package-backed resource; use f...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jason Dobies
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-16 14:58 EDT by Jason Dobies
Modified: 2008-08-08 15:26 EDT (History)
0 users

See Also:
Fixed In Version: 1.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-07-16 14:58:00 EDT
Originally, I thought it would be more flexible to be able to indicate a separate package name from the local file name. In reality, this just confuses people. It's a pretty easy change to just grab the file name from the file upload box and use that as the package name itself.
Comment 1 Jason Dobies 2008-07-16 15:09:25 EDT
r1101 - create-package-1.xhtml, CreateNewPackageChildResourceUIBean.java
- Grab the package name from the file upload item instead of prompting the user for it.
Comment 2 Jason Dobies 2008-07-16 15:10:39 EDT
QA:

- When creating an EAR or WAR, the "package name" field should no longer be requested.
- Verify the EAR/WAR deployed to the server is of the same name as the file that was originally uploaded.

This is probably easiest to do with RHQ-666 and RHQ-669.
Comment 3 Corey Welton 2008-08-08 15:26:42 EDT
QA Verified - user is no longer prompted for name.

As an aside, yes, this used to be confusing -- I always ended up using the same basename or basename.ext, myself.
Comment 4 Red Hat Bugzilla 2009-11-10 16:14:41 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-683

Note You need to log in before you can comment on or make changes to this bug.